package com.mints.goodmoney.manager

import android.app.Application
import com.ireader.ireadersdk.Config
import com.ireader.ireadersdk.IreaderApi
import com.mints.goodmoney.MintsApplication
import java.lang.Exception

/**
 * 描述：掌阅书城
 * 作者：孟崔广
 */
object ZhangyueManager {

    private const val APPID = "10054"

    fun onCreateIreader(application: Application) {
        try {
            IreaderApi.onCreate(application)
            val config = Config.Builder()
                    .setZYAppId(APPID)
                    .setOaId(MintsApplication.OAID)
                    .setSupportCSJ(true)
                    .setSupportGDT(true)
                    .build()
            IreaderApi.attachBaseContext(application, config)
        } catch (e: Exception) {
            e.printStackTrace()
        }
//        try {
//            IreaderApi.attachBaseContext(application)
//            IreaderApi.onCreate(application, APPID)
//        } catch (e: Exception) {
//            e.printStackTrace()
//        }

    }

    fun onDestory() {
        IreaderApi.onAppExit()
    }
}